# General Translation Platform: プロジェクト情報を取得
URL: https://generaltranslation.com/ja/docs/platform/openapi/reference/project/project-info.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 認証済みプロジェクトの名前、組織 ID、ロケール設定、自動承認設定を取得します。プロジェクト情報取得の API リファレンス。

{/* このファイルは Fumadocs によって生成されました。このファイルを直接編集しないでください。変更する場合は、生成コマンドを再度実行してください。 */}

## Endpoint

`GET https://api.gtx.dev/v2/project/info/{projectId}`

**Operation ID:** `getProjectInfo`

**Tags:** `Project`

**Summary:** Get Project information

Read the authenticated Project's name, Organization ID, locale settings, and auto-approval setting.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `projectId` (path, string, required)
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Responses

**200**: Project information
Response body (`application/json`, object):
- `id` (string, required)
- `name` (string, required)
- `orgId` (string, required)
- `defaultLocale` (string, required)
- `currentLocales` (string[], required)
- `autoApprove` (boolean, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
